Bug 152417 - CAN-2005-0839 N_MOUSE line discipline flaw
CAN-2005-0839 N_MOUSE line discipline flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
impact=important,reported=20050128,so...
: Security
Depends On:
Blocks: 147461
  Show dependency treegraph
 
Reported: 2005-03-29 06:37 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:52:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-29 06:37:40 EST
+++ This bug was originally part of Bug #149693 +++

4. input: Only root should be able to set the N_MOUSE line discipline.
http://linux.bkbits.net:8080/linux-2.6/cset@41fa6464E1UuGu6zmketEYxm73KSyQ

Routine used in setting line discipline on a serial tty.  Note possibly the
wrong fix: http://www.mail-archive.com/linux-kernel@vger.kernel.org/msg64695.html

Impact: a non privileged user could inject mouse movements or possibly
keystrokes when another user is logged in.
Comment 1 Jason Baron 2005-03-31 14:55:10 EST
This is already in our tree. Dave, should be moved to MODIFIED, i suspect.
Comment 2 Josh Bressers 2005-04-19 14:52:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-366.html

Note You need to log in before you can comment on or make changes to this bug.